std::bad_optional_access Class Reference
Utilities | Diagnostics » Exceptions

`#include <optional>`

Inheritance diagram for std::bad_optional_access:
[legend]

## Public Member Functions

const char * | what () const noexcept override

## Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Definition at line 98 of file optional.

## Member Function Documentation

## what()

const char * std::bad_optional_access::what | ( |  | ) | const

inline override virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Definition at line 104 of file optional.

The documentation for this class was generated from the following file:

- optional